VERSION 5.00
Begin VB.Form FrmPuerto 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Configuracin RS232"
   ClientHeight    =   1680
   ClientLeft      =   45
   ClientTop       =   315
   ClientWidth     =   5025
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1680
   ScaleWidth      =   5025
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.ComboBox Combo2 
      Height          =   315
      Left            =   1200
      Style           =   2  'Dropdown List
      TabIndex        =   5
      Top             =   840
      Width           =   1515
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      Left            =   1200
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   180
      Width           =   1515
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Cancelar"
      Height          =   435
      Left            =   3420
      TabIndex        =   1
      Top             =   1080
      Width           =   1395
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Aceptar"
      Default         =   -1  'True
      Height          =   615
      Left            =   3420
      TabIndex        =   0
      Top             =   180
      Width           =   1395
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Velocidad"
      Height          =   255
      Left            =   180
      TabIndex        =   4
      Top             =   900
      Width           =   915
   End
   Begin VB.Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Puerto"
      Height          =   255
      Left            =   180
      TabIndex        =   2
      Top             =   240
      Width           =   915
   End
End
Attribute VB_Name = "FrmPuerto"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub CargarPropiedades()
Dim i As Integer, Settings As String, Offset As Integer

' Carga las configuraciones de puerto
Combo1.Clear
For i = 1 To 16
    Combo1.AddItem "COM" & Trim$(Str$(i))
Next i

' Carga las configuraciones de velocidad
Combo2.Clear
Combo2.AddItem "9600"
Combo2.AddItem "19200"
Combo2.AddItem "38400"
Combo2.AddItem "57600"
Combo2.AddItem "115200"

' Establece la configuracin predeterminada
Settings = frmMain.PuertoSerie.Settings

'Seleccionamos los valores actuales del puerto
Combo1.ListIndex = Puerto - 1
Combo2.Text = Vel_RS232

'Cargamos la variable de velocidad anterior
VelocidadPuertoAnt = Vel_RS232

End Sub



Private Sub Command1_Click()
'Grabamos los datos de configuracion en el INI
Call EscribeINI("Conf.ini", "Settings", "Puerto", Trim(Str((Combo1.ListIndex + 1))))
Call EscribeINI("Conf.ini", "Settings", "Baudios", Trim(Combo2.Text))

'Velocidad del puerto serie
Vel_RS232 = Combo2.Text
'Numero de puerto
Puerto = (Combo1.ListIndex + 1)

' Enviamos el valor de velocidad del puerto serie
If ModoRS232 = RS232 Then Call ModuloRs232.VelocidadRS232(Combo2.ListIndex)
' Enviamos tambien el cambio de la velocidad por el USB
If ModoRS232 = USB Then Call ModuloUSB.VelocidadRS232(Combo2.ListIndex)

' Miramos si se ha cambiado la velocidad del puerto
If VelocidadPuertoAnt <> Vel_RS232 Then
    ' Actualizamos el valor de la velocidad
    VelocidadPuertoAnt = Combo2.Text

    MsgBox "Inicialice su controladora y pulse aceptar...", vbInformation, "Inicializacin..."
End If

'Apertura del puerto
If ModoRS232 = RS232 Then
    PuertoAbierto = ModuloRs232.AbrirPuerto(True)   'Abrimos el puerto serie
Else
    Call ModuloUSB.CerrarUsb
    Call ModuloUSB.DetectarUSB(True)                'Buscamos la controladora
End If

'Leemos las posiciones
Call frmMain.Leer_Posiciones

Unload Me
End Sub

Private Sub Command2_Click()
Unload Me
End Sub

Private Sub Form_Load()
' Carga la configuracin actual de las propiedades
Call CargarPropiedades
End Sub
