Attribute VB_Name = "Funciones"
Option Explicit

Private Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Private Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long


Function LeeINI(Archivo As String, Key As String, Parametro As String, Defecto As String) As String
Dim IntLen As Integer
Dim StrText As String
Dim A_Configuracion As String 'Archivo de configuracion

'Genera la ruta del archivo
If Right(App.Path, 1) = "\" Then
    A_Configuracion = App.Path & Archivo
Else
    A_Configuracion = App.Path & "\" & Archivo
End If

StrText = String(255, " ")
IntLen = GetPrivateProfileString(Key, Parametro, Defecto, StrText, Len(StrText), A_Configuracion)
If IntLen > -1 Then StrText = Left(StrText, IntLen)
LeeINI = StrText
End Function

Sub EscribeINI(Archivo As String, Key As String, Parametro As String, valor As String)
Dim A_Configuracion As String 'Archivo de configuracion

'Genera la ruta del archivo
If Right(App.Path, 1) = "\" Then
    A_Configuracion = App.Path & Archivo
Else
    A_Configuracion = App.Path & "\" & Archivo
End If

Call WritePrivateProfileString(Key, Parametro, valor, A_Configuracion)
End Sub



Function Esperar(Segundos As Single) As Boolean
Dim Final As Double

Final = Timer + Segundos
Do While Final > Timer
   DoEvents
Loop

End Function
